org.richfaces.renderkit.html

## Class AjaxOutputPanelRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.html.AjaxOutputPanelRenderer

-     public class AjaxOutputPanelRenderer
      extends RendererBase

  Version:
    $Revision: 1.1.2.1 $ $Date: 2007/02/01 15:31:27 $
  Author:
    asmirnov@exadel.com (latest modification by $Author: alexsmirnov $)

- - ### Field Summary

    - ### Fields inherited from class javax.faces.render.Renderer

      `PASSTHROUGH_RENDERER_LOCALNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxOutputPanelRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doEncodeBegin(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom start encoding of concrete renderer.
    `void` | `doEncodeChildren(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected void` | `doEncodeEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom finish encoding of concrete renderer.
    `protected Class<? extends javax.faces.component.UIComponent>` | `getComponentClass()` Get base component slass , targetted for this renderer.
    `boolean` | `getRendersChildren()`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doDecode, encodeBegin, encodeChildren, encodeEnd, getResourcePath, getSkin, getUtils, isAlreadyRendered, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AjaxOutputPanelRenderer

          public AjaxOutputPanelRenderer()

  - ### Method Detail

    - #### doEncodeChildren

          public void doEncodeChildren(javax.faces.context.ResponseWriter writer,
                              javax.faces.context.FacesContext context,
                              javax.faces.component.UIComponent component)
                                throws IOException

      Overrides:
        `doEncodeChildren` in class `RendererBase`
      Throws:
        `IOException`

    - #### getRendersChildren

          public boolean getRendersChildren()

      Overrides:
        `getRendersChildren` in class `javax.faces.render.Renderer`

    - #### getComponentClass

          protected Class<? extends javax.faces.component.UIComponent> getComponentClass()

      Description copied from class: `RendererBase`
      Get base component slass , targetted for this renderer. Used for check arguments in decode/encode.
      Overrides:
        `getComponentClass` in class `RendererBase`
      Returns:

    - #### doEncodeBegin

          protected void doEncodeBegin(javax.faces.context.ResponseWriter writer,
                           javax.faces.context.FacesContext context,
                           javax.faces.component.UIComponent component)
                                throws IOException

      Description copied from class: `RendererBase`
      Template method for custom start encoding of concrete renderer. All parameters checking and writer is performed in original `RendererBase.encodeBegin(FacesContext, UIComponent)` method.
      Overrides:
        `doEncodeBegin` in class `RendererBase`
      Throws:
        `IOException`

    - #### doEncodeEnd

          protected void doEncodeEnd(javax.faces.context.ResponseWriter writer,
                         javax.faces.context.FacesContext context,
                         javax.faces.component.UIComponent component)
                              throws IOException

      Description copied from class: `RendererBase`
      Template method for custom finish encoding of concrete renderer. All parameters checking and writer is performed in original `RendererBase.encodeEnd(FacesContext, UIComponent)` method.
      Overrides:
        `doEncodeEnd` in class `RendererBase`
      Throws:
        `IOException`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.